<?php
session_start();

//Get redirect url data
define( 'WP_USE_THEMES', false );
require_once( '../../../../wp-load.php' );
$options = get_option( 'wp-ellipsis' );
//Get human_traffic_url
$humanUrlStr = $options['human_url'];
$humanUrls = explode(",", $humanUrlStr);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
  <title>Security Code</title>
</head>
<body>
  <div style="text-align: center; margin: auto; width: 300px;">
    <p>Please enter the following phrase before navigating further.</p>

    <?php
    process_si_contact_form(); // Process the form, if it was submitted
    if (isset($_SESSION['ctform']['error']) &&  $_SESSION['ctform']['error'] == true): /* The last form submission had 1 or more errors */
    ?>

    <?php elseif (isset($_SESSION['ctform']['success']) && $_SESSION['ctform']['success'] == true): /* form was processed successfully */ ?>
    <script>
      //Grab the urlIdx from the query string and redirect on successful captcha resolve
      var humanUrlId = window.location.search.substr(5);
      var humanUrls = <?php echo json_encode($humanUrls); ?>;
      window.location.href=humanUrls[humanUrlId];
    </script>
    <?php endif; ?>

    <form method="post" id="contact_form">
      <input type="hidden" name="do" value="contact" />
      <p>
        <?php
          // show captcha HTML using Securimage::getCaptchaHtml()
          require_once 'securimage.php';
          $options = array();
          $options['input_name'] = 'ct_captcha'; // change name of input element for form post
          if (!empty($_SESSION['ctform']['captcha_error'])) {
            // error html to show in captcha output
            $options['error_html'] = $_SESSION['ctform']['captcha_error'];
          }
          echo Securimage::getCaptchaHtml($options);
        ?>
      </p>
      <p>
        <input type="submit" value="Submit" />
      </p>
    </form>
  </div>
</body>
</html>

<?php
// The form processor PHP code
function process_si_contact_form()
{
  $_SESSION['ctform'] = array(); // re-initialize the form session data

  if ($_SERVER['REQUEST_METHOD'] == 'POST' && @$_POST['do'] == 'contact') {
  	// if the form has been submitted

    foreach($_POST as $key => $value) {
      if (!is_array($key)) {
      	// sanitize the input data
        if ($key != 'ct_message') $value = strip_tags($value);
        $_POST[$key] = htmlspecialchars(stripslashes(trim($value)));
      }
    }

    $captcha = @$_POST['ct_captcha']; // the users entry for the captcha code
    // Only try to validate the captcha if the form has no errors
    // This is especially important for ajax calls
    if (sizeof($errors) == 0) {
      require_once dirname(__FILE__) . '/securimage.php';
      $securimage = new Securimage();

      if ($securimage->check($captcha) == false) {
        $errors['captcha_error'] = 'Incorrect security code entered<br />';
      }
    }

    if (sizeof($errors) == 0) {
      $_SESSION['ctform']['error'] = false;  // no error with form
      $_SESSION['ctform']['success'] = true; // message sent
    } else {
      foreach($errors as $key => $error) {
      	// set up error messages to display with each field
        $_SESSION['ctform'][$key] = "<span class=\"error\">$error</span>";
      }

      $_SESSION['ctform']['error'] = true; // set error flag
    }
  } // POST
}
$_SESSION['ctform']['success'] = false; // clear success value after running
?>
